package cn.iocoder.yudao.module.order.vo.merge;

import cn.iocoder.yudao.module.order.vo.order.OrderBackVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订单合单申请 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 订单合单申请 Response VO")
public class MergeBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("申请合单的订单编号")
    @ApiModelProperty(value = "申请合单的订单编号")
    private String applyOrderNo;

    @ExcelProperty("合并的订单编号")
    @ApiModelProperty(value = "合并的订单编号")
    private String orderNos;

    @ExcelProperty("合单后订单编号")
    @ApiModelProperty(value = "合单后订单编号")
    private String mergedOrderNo;

    @ExcelProperty("合单时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "合单时间")
    private Date addTime;

    @ExcelProperty("备注")
    @ApiModelProperty(value = "备注")
    private String remarks;

    @ExcelProperty("驳回原因")
    @ApiModelProperty(value = "驳回原因")
    private String reason;

    @ExcelProperty("状态")
    @ApiModelProperty(value = "状态")
    private Integer status;

    @ExcelProperty("审批流程ID")
    @ApiModelProperty(value = "审批流程ID")
    private String bpmProcessId;

    @ApiModelProperty(value = "已合单的订单信息")
    private OrderBackVO mergedOrder;

}
